com.google.cloud.dataflow.sdk.io

## Class PubsubIO

- java.lang.Object
- - com.google.cloud.dataflow.sdk.io.PubsubIO

    public class PubsubIO
    extends Object

Read and Write `PTransform`s for Cloud Pub/Sub streams. These transforms create and consume unbounded `PCollections`.

### Permissions

Permission requirements depend on the `PipelineRunner` that is used to execute the Dataflow job. Please refer to the documentation of corresponding `PipelineRunners` for more details.

### Nested Class Summary

Nested Classes
`static class` `PubsubIO.PubsubSubscription` Class representing a Cloud Pub/Sub Subscription.
`static class` `PubsubIO.PubsubTopic` Class representing a Cloud Pub/Sub Topic.
`static class` `PubsubIO.Read` A `PTransform` that continuously reads from a Cloud Pub/Sub stream and returns a `PCollection` of `Strings` containing the items from the stream.
`static class` `PubsubIO.Write` A `PTransform` that continuously writes a `PCollection` of `Strings` to a Cloud Pub/Sub stream.

### Field Summary

Fields
`static Coder<String>` `DEFAULT_PUBSUB_CODER` The default `Coder` used to translate to/from Cloud Pub/Sub messages.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PUBSUB_CODER

    public static final Coder<String> DEFAULT_PUBSUB_CODER

The default `Coder` used to translate to/from Cloud Pub/Sub messages.